# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Point
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Point
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Point

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

c

net.psforever.objects.geometry.d3

# Point 

###
Companion object Point

#### final case class Point(x: Float, y: Float, z: Float) extends VolumetricGeometry with geometry.Point with Product with Serializable

The instance of a minute geometric coordinate position in three-dimensional space. The point is allowed to substitute for a sphere of zero radius, hence why it is volumetric (ignoring that a sphere of zero radius has no volume).

x

  the 'x' coordinate of the position

y

  the 'y' coordinate of the position

z

  the 'z' coordinate of the position

Source
  Point.scala
See also

  `Vector3`

Linear Supertypes
Serializable, Product, Equals, geometry.Point, VolumetricGeometry, Geometry3D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Point
2. Serializable
3. Product
4. Equals
5. Point
6. VolumetricGeometry
7. Geometry3D
8. PrimitiveGeometry
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Point(x: Float, y: Float, z: Float)

   x

     the 'x' coordinate of the position

   y

     the 'y' coordinate of the position

   z

     the 'z' coordinate of the position

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def asVector3: Vector3

   Transform the point into the common interchangeable format for coordinates.

   Transform the point into the common interchangeable format for coordinates. They're very similar, anyway.

   returns

     a `Vector3` entity of the same denomination

   Definition Classes
     Point → Point
6.  def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Point → Geometry3D → PrimitiveGeometry
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def moveCenter(point: geometry.Point): VolumetricGeometry

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Point → VolumetricGeometry → Geometry3D → PrimitiveGeometry
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def pointOnOutside(v: Vector3): Point

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid.

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid. What counts as "the exterior" is limited to the complexity of the geometry.

    v

      the vector in the direction of the point on the exterior

    returns

      a point

    Definition Classes
      Point → VolumetricGeometry
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
22.  val x: Float
23.  val y: Float
24.  val z: Float

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from geometry.Point

### Inherited from VolumetricGeometry

### Inherited from Geometry3D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped